from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTypeDetection(XInterface, Protocol):
    def queryTypeByURL(self, URL: str) -> str: ...
    def queryTypeByDescriptor(self, Descriptor: PropertyValue >, AllowDeep: bool) -> str: ...
